Bug 428843 - Plugin uses incompatible Qt library!
Summary: Plugin uses incompatible Qt library!
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-artwork (Show other bugs)
(Show other bugs)
Version: 4.6
Hardware: x86_64 Linux
low
low
Target Milestone: rc
: ---
Assignee: David Zeuthen
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-15 16:17 UTC by Scott Bambrough
Modified: 2013-03-06 03:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 13:25:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Bambrough 2008-01-15 16:17:43 UTC
Running my application I get the following output to the console.

Creating link /root/.kde/socket-Rhel5u164.com.
Created link from "/root/.kde/socket-Rhel5u164.com" to "/tmp/ksocket-root"
Creating link /root/.kde/tmp-Rhel5u164.com.
Created link from "/root/.kde/tmp-Rhel5u164.com" to "/tmp/kde-root"
Conflict in /usr/lib/kde3/plugins/styles/plastik.so:
  Plugin uses incompatible Qt library!
  expected build key "x86_64 Linux g++-4.* full-config", got "i686 Linux
g++-4.* full-config".
kbuildsycoca running...
Creating link /root/.kde/cache-Rhel5u164.com.
Created link from "/root/.kde/cache-Rhel5u164.com" to "/var/tmp/kdecache-root"
Invalid entry (missing '=') at /tmp/kde-root/kconf_updatecFmEkc.tmp:1
Conflict in /usr/lib/qt-3.3/plugins/inputmethods/libqimsw-multi.so:
  Plugin uses incompatible Qt library!
  expected build key "x86_64 Linux g++-4.* full-config", got "i686 Linux
g++-4.* full-config".
Conflict in /usr/lib/qt-3.3/plugins/inputmethods/libqimsw-none.so:
  Plugin uses incompatible Qt library!
 Method:

I believe this is due to the following fragment from
/usr/lib64/qt-3.3/etc/settings/qtrc.

[3.3]
libraryPath=/usr/lib/qt-3.3/plugins:/usr/lib/kde3/plugins

This should be:

[3.3]
libraryPath=/usr/lib64/qt-3.3/plugins:/usr/lib64/kde3/plugins

Comment 1 Scott Bambrough 2008-01-15 16:42:53 UTC
This also seems to be the case on RHEL5.1 as well.

Comment 2 Jiri Pallich 2012-06-20 13:25:12 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.